GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

        • Login

        • Logout

        • Register

        • User Profile

          • Get User Profile
          • Update User Profile
          • Bind Email
          • Unbind Email
          • Bind Phone
          • Unbind Phone
          • Get Password Strength and Account Security Score
          • Update Password
          • Initiate Email Update Verification Request
          • Update Email
          • Initiate Phone Update Verification Request
          • Update Phone
          • Initiate Reset Password Request
          • Reset Password
          • Initiate Account Deletion Request
          • Delete Account
        • Account Binding

        • MFA Factor Management

        • User Related Resources

        • Message Service

        • WeChat Related APIs

        • Others

        • OIDC Module
        • OAuth Module
        • SAML Module
        • CAS Module
        • Events
      • Management Module

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Authentication Module

  8. /
  9. User Profile

  10. /
  11. Reset Password

¶ Forgot password

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

This endpoint is used to reset the password by mobile phone verification code or email verification code after the user forgets the password. This interface requires the provision of a temporary credential passwordResetToken for resetting the password, which needs to be obtained through the Initiate a Forgot Password Request interface.

¶ Method name

AuthenticationClient.reset_password

¶ Request parameters

NameType
Required
Default value
Description
Sample value
passwordstringyes-Password
passwordResetTokenstringyes-Token for resetting password
passwordEncryptTypestringnononePassword encryption type, supports encryption using RSA256 and SM2 algorithms. The default is none, no encryption.
- none: Do not encrypt the password and transmit it in plain text.
- rsa: Use the RSA256 algorithm to encrypt the password. You need to use the RSA public key of the GenAuth service for encryption. Please read the Introduction section to learn how to obtain the RSA256 public key of the GenAuth service.
- sm2: Use the National Secret SM2 Algorithm (opens new window) to encrypt the password. You need to use the SM2 public key of the GenAuth service for encryption. Please read the Introduction section to learn how to obtain the SM2 public key of the GenAuth service.
none

¶ Request response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataIsSuccessDtoWhether the operation is successful

Sample result:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

¶ Data structure

¶ IsSuccessDto

NameType
Is it required
Description
Sample value
successbooleanyesWhether the operation was successfultrue
Previous article: Initiate Reset Password Request Next article: Initiate Account Deletion Request
  • Method name
  • Request parameters
  • Request response
  • Data structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.